# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectIntersection Class Reference

A SelectIntersection filters the Entities issued from several
other Selections as Intersection of results : "AND" operator
.

`#include <IFSelect_SelectIntersection.hxx>`

Inheritance diagram for IFSelect_SelectIntersection:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SelectIntersection ()
| Creates an empty SelectIntersection .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected Entities, which is the common part of results from all input selections. Uniqueness is guaranteed. .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Intersection (AND)" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectIntersection::IFSelect_SelectIntersection | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SelectIntersection::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectCombine.

Standard_EXPORT TCollection_AsciiString IFSelect_SelectIntersection::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IFSelect_SelectIntersection::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IFSelect_SelectIntersection.hxx